Bug 445927 - wrong cursor shape preview
Summary: wrong cursor shape preview
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 5.0.0-beta2
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2021-11-22 15:56 UTC by mcoudert
Modified: 2021-11-26 09:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
krita 4.4.8 (45.69 KB, image/jpeg)
2021-11-22 15:56 UTC, mcoudert
Details
Krita 5.x (21.04 KB, image/png)
2021-11-22 15:56 UTC, mcoudert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mcoudert 2021-11-22 15:56:20 UTC
Created attachment 143840 [details]
krita 4.4.8

SUMMARY
the cursor outline preview is incorrect compare to previous version. 

STEPS TO REPRODUCE
1. in settings / general / cursor > outline shape = select "preview outline"
2. in brush settings / brush tip select auto - use square shape and set 5 spikes (for example) to have an hexagon.
3. go to canvas

OBSERVED RESULT
Krita display a square as a shape/cursor preview.

EXPECTED RESULT
Krita display an hexagon as a shape/cursor preview

SOFTWARE/OS VERSIONS
Krita
 Version: 5.0.0-beta2
 Languages: en_US, en, fr, en_US, en, fr, en_US, en, fr, en_US, en, fr, fr_FR, fr, en_US, en
 Hidpi: false
Qt
  Version (compiled): 5.12.11
  Version (loaded): 5.12.11
OS Information
  Build ABI: x86_64-little_endian-llp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: winnt
  Kernel Version: 10.0.22000
  Pretty Productname: Windows 10 (10.0)
  Product Type: windows
  Product Version: 11

ADDITIONAL INFORMATION
KA thread 
https://krita-artists.org/t/5-0-beta-2-cursor-shape-issue/32202
Comment 1 mcoudert 2021-11-22 15:56:50 UTC
Created attachment 143841 [details]
Krita 5.x
Comment 2 Ahab Greybeard 2021-11-22 16:06:59 UTC
I can confirm this, testing with the 4.4.8 and the Nov 21 5.1.0-prealpha (git c4d665c) appimages on Debian 10.
Comment 3 Dmitry Kazakov 2021-11-26 09:51:47 UTC
Git commit a60102f0747e7a03666c5920f6773e7db0134a16 by Dmitry Kazakov.
Committed on 26/11/2021 at 09:51.
Pushed by dkazakov into branch 'master'.

Fix outline generation for brushes with non-standard number of spikes

M  +1    -1    libs/brush/kis_auto_brush.cpp

https://invent.kde.org/graphics/krita/commit/a60102f0747e7a03666c5920f6773e7db0134a16
Comment 4 Dmitry Kazakov 2021-11-26 09:52:16 UTC
Git commit f4a88d17940de3623969ac73c094550d04f16a77 by Dmitry Kazakov.
Committed on 26/11/2021 at 09:52.
Pushed by dkazakov into branch 'krita/5.0'.

Fix outline generation for brushes with non-standard number of spikes
(cherry picked from commit a60102f0747e7a03666c5920f6773e7db0134a16)

M  +1    -1    libs/brush/kis_auto_brush.cpp

https://invent.kde.org/graphics/krita/commit/f4a88d17940de3623969ac73c094550d04f16a77